#ifndef MDATACHECK_H
#define MDATACHECK_H

#ifndef MAGIC_H
#include "MAGIC.h"
#endif

#ifndef MBROWSER_H
#include "MBrowser.h"
#endif

class MDataCheck : public MBrowser
{
private:
    void ViewAdcSpectra(Char_t *inputfile, Char_t *treeName);

public:
    MDataCheck(const TGWindow *main=NULL, const TGWindow *p=NULL,
                    const UInt_t w=500, const UInt_t h=500) ;

    Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);

    ClassDef(MDataCheck, 0) // GUI: The 'data-check' browser.
};

#endif


